## org.eclipse.datatools.sqltools.data.internal.ui.editor
Class TableDataEditorSelectionProvider

    java.lang.Object
      org.eclipse.datatools.sqltools.data.internal.ui.editor.TableDataEditorSelectionProvider

All Implemented Interfaces:
  org.eclipse.jface.viewers.ISelectionProvider

    public class TableDataEditorSelectionProvider

extends java.lang.Object
implements org.eclipse.jface.viewers.ISelectionProvider

Constructor Summary
`TableDataEditorSelectionProvider(ITableDataEditor editor)`

Method Summary
`void` `addSelectionChangedListener(org.eclipse.jface.viewers.ISelectionChangedListener listener)`
`org.eclipse.jface.viewers.ISelection` `getSelection()`
`void` `removeSelectionChangedListener(org.eclipse.jface.viewers.ISelectionChangedListener listener)`
`void` `selectionChanged()`
`void` `setSelection(org.eclipse.jface.viewers.ISelection selection)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TableDataEditorSelectionProvider

    public TableDataEditorSelectionProvider(ITableDataEditor editor)

Method Detail

### addSelectionChangedListener

    public void addSelectionChangedListener(org.eclipse.jface.viewers.ISelectionChangedListener listener)

  Specified by:
    `addSelectionChangedListener` in interface `org.eclipse.jface.viewers.ISelectionProvider`

### getSelection

    public org.eclipse.jface.viewers.ISelection getSelection()

  Specified by:
    `getSelection` in interface `org.eclipse.jface.viewers.ISelectionProvider`

### removeSelectionChangedListener

    public void removeSelectionChangedListener(org.eclipse.jface.viewers.ISelectionChangedListener listener)

  Specified by:
    `removeSelectionChangedListener` in interface `org.eclipse.jface.viewers.ISelectionProvider`

### setSelection

    public void setSelection(org.eclipse.jface.viewers.ISelection selection)

  Specified by:
    `setSelection` in interface `org.eclipse.jface.viewers.ISelectionProvider`

### selectionChanged

    public void selectionChanged()